<?php

/**
 * Interface Es_Data_Provider_Interface
 */
interface Es_Data_Provider_Interface
{
    /**
     * Return list of all items.
     *
     * @return array
     */
    public function get_items();

    /**
     * Return item using index.
     *
     * @param $index
     * @return mixed
     */
    public function  get_item( $index );

    /**
     * Return num of items.
     *
     * @return mixed
     */
    public function get_count();
}
