<?php

/**
 * Search widget.
 *
 * @var array $instance
 * @var array $args
 * @var array $fields
 * @var Es_Property_Map_Widget $this
 */

echo $args['before_widget']; ?>

    <div class="es-widget-wrapper es-map-property-layout-<?php echo $instance['layout']; ?>">

        <?php if ( ! empty( $instance['title'] ) ) : ?>
            <?php echo $args['before_title'] . apply_filters( 'widget_title', $instance['title'] ) . $args['after_title']; ?>
        <?php endif; ?>

        <?php do_action( 'es_before_property_map_widget' ); ?>

        <?php echo do_shortcode( $this->generate_map_shortcode( $instance ) ); ?>

        <?php do_action( 'es_after_property_map_widget' ); ?>
    </div>
<?php echo $args['after_widget'];
