<?php

/**
 * Class Es_Agent_Listing_Shortcode.
 */
class Es_Agent_Listing_Shortcode extends Es_My_Listing_Shortcode
{
    /**
     * @inheritdoc
     */
    public function get_shortcode_default_atts()
    {
        $default = array_merge( parent::get_shortcode_default_atts(), array(
            'name' => null,
        ) );

        return $default;
    }

    /**
     * @inheritdoc
     */
    public function get_shortcode_name()
    {
        return 'es_listing_agent';
    }

    /**
     * Merge shortcode attributes (default / input).
     *
     * @param $atts
     * @return array
     */
    public function merge_shortcode_atts( $atts )
    {
        $atts = parent::merge_shortcode_atts( $atts );

        if ( empty( $atts['name'] ) ) {
            $atts['prop_id'] = array( -1 );
        } else {
            $atts['agent'] = $atts['name'];
        }


        return $atts;
    }
}
