<?php

/**
 * Class Es_Features_Shortcode
 */
class Es_Features_Shortcode extends Es_My_Listing_Shortcode
{
    /**
     * @inheritdoc
     */
    public function get_shortcode_default_atts()
    {
        return array_merge( parent::get_shortcode_default_atts(), array(
            'amenity' => null,
        ) );
    }

    /**
     * @inheritdoc
     */
    public function merge_shortcode_atts( $atts )
    {
        $atts = parent::merge_shortcode_atts( $atts );

        if ( empty( $atts['feature'] ) && empty( $atts['amenity'] ) ) {
            $atts['prop_id'] = array( -1 );
        } else {
            $atts['amenities'] = ! empty( $atts['amenity'] ) ? $atts['amenity'] : null;
        }

        return $atts;
    }

    /**
     * @inheritdoc
     */
    public function get_shortcode_name()
    {
        return 'es_features';
    }
}
