<?php

/**
 * @var Es_Settings_Container $es_settings
 */

global $es_settings; ?>

<div class="a2a_kit es-share-wrapper">
    <?php do_action( 'es_before_share_block_buttons' ); ?>

    <?php if ( $es_settings->share_facebook ) : ?>
        <a class="a2a_button_facebook">
            <i class="fa fa-facebook" aria-hidden="true"></i>
        </a>
    <?php endif; ?>

    <?php if ( $es_settings->share_twitter ) : ?>
        <a class="a2a_button_twitter">
            <i class="fa fa-twitter" aria-hidden="true"></i>
        </a>
    <?php endif; ?>

    <?php if ( $es_settings->share_google_plus ) : ?>
        <a class="a2a_button_google_plus">
            <i class="fa fa-google-plus" aria-hidden="true"></i>
        </a>
    <?php endif; ?>

    <?php if ( $es_settings->share_linkedin ) : ?>
        <a class="a2a_button_linkedin">
            <i class="fa fa-linkedin" aria-hidden="true"></i>
        </a>
    <?php endif; ?>

    <?php if ( $es_settings->use_pdf ) : ?>
        <a href="<?php echo add_query_arg( 'es-pdf', get_the_ID(), get_the_permalink() ); ?>" target="_blank">
            <i class="fa fa-file-pdf-o" aria-hidden="true"></i>
        </a>
    <?php endif; ?>

    <?php do_action( 'es_after_share_block_buttons' ); ?>
</div>
