<?php

/**
 * @var $entity string
 */

if ( $sections = Es_FBuilder_Helper::get_sections( $entity ) ) : unset( $sections['es-agent'] ) ?>
    <ul>
        <?php foreach ( $sections as $key => $section ) : ?>
            <li data-machine-name="<?php echo $key; ?>">
                <h1><?php echo $section[ 'label' ]; ?></h1>
                <ul class="es-list es-list__styled es-list__sortable">
                <?php if ( $fields = Es_FBuilder_Helper::get_entity_fields( $entity, $key ) ) : ?>
                    <?php foreach ( $fields as $field_key => $field ) : ?>
                        <?php if ( empty( $field['section'] ) || $field['section'] != $key ) continue; ?>
                        <?php require ( Es_Fields_Builder_Page::get_template_path( 'partials/_field' ) ); ?>
                    <?php endforeach; ?>
                <?php endif; ?>
                </ul>
            </li>
        <?php endforeach; ?>
    </ul>
<?php endif;
