<?php

/**
 * @var $args array
 * @var $instance array
 */

global $post;

$post_id = ! empty( $post ) ? $post->ID : null;

$message = ! empty( $instance['message'] ) ? $instance['message'] : null;
$send_to = ! empty( $instance['send_to'] ) ? $instance['send_to'] : null;
$subject = ! empty( $instance['subject'] ) ? $instance['subject'] : __( 'Estatik Request Info from', 'es-plugin' );

echo $args['before_widget']; ?>

<div class="es-request-widget-wrap">

	<form action="" method="POST">

		<?php if ( $instance['title'] ) : ?>
			<h3><?php echo $instance['title']; ?></h3>
		<?php endif; ?>

		<label>
			<input type="text" name="name" placeholder="<?php _e( 'Your name', 'es-plugin' ); ?>" required>
		</label>

		<label>
			<input type="email" name="email" placeholder="<?php _e( 'Your email', 'es-plugin' ); ?>" required>
		</label>

		<label>
			<input type="tel" name="tel" placeholder="<?php _e( 'Phone number', 'es-plugin' ); ?>" required>
		</label>

		<label>
			<textarea name="message" required><?php echo $message; ?></textarea>
		</label>

		<?php wp_nonce_field( 'es_request_send', 'es_request_send' ); ?>

		<div class="es-captcha">
			<?php do_action( 'es_recaptcha' ); ?>
		</div>

		<input type="hidden" name="action" value="es_request_send"/>
		<input type="hidden" name="send_to" value="<?php echo $send_to; ?>"/>
		<input type="hidden" name="post_id" value="<?php echo $post_id; ?>"/>
		<input type="hidden" name="subject" value="<?php echo $subject; ?>"/>
		<input type="submit" class="es-button es-button-orange-corner" value="<?php _e( 'Send', 'es-plugin' ); ?>"/>

	</form>

	<div class="es-response-block"></div>

</div>

<?php echo $args['after_widget'];
