<?php

/**
 * Class Es_Labels_Shortcode
 */
class Es_Labels_Shortcode extends Es_My_Listing_Shortcode
{
    /**
     * @inheritdoc
     */
    public function get_shortcode_default_atts()
    {
        return array_merge( parent::get_shortcode_default_atts(), array(
            'label' => null,
        ) );
    }

    /**
     * @inheritdoc
     */
    public function merge_shortcode_atts( $atts )
    {
        $atts = parent::merge_shortcode_atts( $atts );

        if ( empty( $atts['label'] ) ) {
            $atts['prop_id'] = array( -1 );
        } else {
            $atts['labels'] = $atts['label'];
        }

        return $atts;
    }

    /**
     * @inheritdoc
     */
    public function get_shortcode_name()
    {
        return 'es_labels';
    }
}
