<?php

/**
 * Class Es_Login_Shortcode
 */
class Es_Login_Shortcode extends Es_Shortcode {

    /**
     * Function used for build shortcode.
     * @see add_shortcode
     *
     * @param array $atts Shortcode attributes array.
     *
     * @return mixed
     */
    public function build($atts = array())
    {
        ob_start();
        load_template(
            apply_filters( 'es_login_shortcode_template_path', ES_TEMPLATES . 'shortcodes/login.php' ),
            false
        );

        do_action( 'es_shortcode_after' );

        return ob_get_clean();
    }

    /**
     * Return shortcode name.
     *
     * @return string
     */
    public function get_shortcode_name()
    {
        return 'es_login';
    }
}
