<div class="es-manage-filter__wrap">

    <div class="es-filter__row">

        <div class="es-filter__label"><?php _e( 'Filter by', 'es-plugin' ); ?>:</div>

        <div class="es-filter__fields">
            <?php wp_dropdown_categories( array(
                'option_none_value' => '',
                'name' => 'es_filter[tax][es_category]',
                'class' => 'es-select-2',
                'id' => 'cat',
                'taxonomy' => 'es_category',
                'show_option_none' => __( 'Category', 'es-plugin' ),
                'selected' => ! empty( $filter['tax']['es_category'] ) ? $filter['tax']['es_category'] : null,
            ) ); ?>

            <?php wp_dropdown_categories( array(
                'option_none_value' => '',
                'name' => 'es_filter[tax][es_type]',
                'class' => 'es-select-2 es-flex__middle',
                'id' => 'type',
                'taxonomy' => 'es_type',
                'show_option_none' => __( 'Type', 'es-plugin' ),
                'selected' => ! empty( $filter['tax']['es_type'] ) ? $filter['tax']['es_type'] : null,
            ) ); ?>

            <?php wp_dropdown_categories( array(
                'option_none_value' => '',
                'name' => 'es_filter[tax][es_status]',
                'class' => 'es-select-2',
                'id' => 'status',
                'taxonomy' => 'es_status',
                'show_option_none' => __( 'Status', 'es-plugin' ),
                'selected' => ! empty( $filter['tax']['es_status'] ) ? $filter['tax']['es_status'] : null,
            ) ); ?>
        </div>
    </div>

    <div class="es-filter__row">

        <div class="es-filter__label"><?php _e( 'Property ID', 'es-plugin' ); ?>:</div>

        <div class="es-filter__fields">

            <div class="es-fields-inset__wrap">
                <div class="es-field es-field-property-id">
                    <div class="es-field__content">
                        <input type='number' name='es_filter[property_id]' class="es-filter-property-id-input"
                               value='<?php echo ! empty( $filter['property_id'] ) ? $filter['property_id'] : null; ?>'>
                    </div>
                </div>

                <div class="es-field es-field-address">
                    <div class="es-field__content">
                        <input type='text' placeholder="<?php _e( 'Address', 'es-plugin' ); ?>" name="es_filter[address]" class="es-filter-address-input"
                               value='<?php echo ! empty( $filter['address'] ) ? $filter['address'] : null; ?>'>
                    </div>
                </div>
            </div>

            <div class="es-field es-field-date es-flex__middle">
                <div class="es-field__content">
                    <input type="text" placeholder="<?php _e( 'Date added', 'es-plugin' ); ?>" class="js-datepicker" name="es_filter[date_added]">
                </div>
            </div>

            <div class="es-filter__buttons">
                <input type="submit" class="es-btn es-btn-blue" value="<?php _e( 'Search', 'es-plugin' ); ?>"/>
                <a href="<?php the_permalink(); ?>" class="es-btn es-btn-gray-bordered es-reset-filter">
                    <?php _e( 'Reset', 'es-plugin' ); ?></a>
            </div>
        </div>
    </div>

</div>

