(function($) {
    'use strict';

    $(this).find('.js-btn-submit').hide();

    $.fn.SubscriptionTable = function() {
        var checkedEl = $(this).find('input[type=radio]:checked');
        if (checkedEl.length) {
            $(checkedEl).closest('tr').addClass('es-tr-active');
            $(this).closest('form').find('.es-table-total .es-table-total-value').html(checkedEl.data('price'));
        } else {
            $(this).closest('form').find('.es-table-total').hide();
            $(this).closest('form').find('.js-btn-submit').hide();
        }
        
        $(this).find('input[type=radio]').click(function() {
            $(this).closest('tbody').find('.es-description-row').addClass('hide');
            $(this).closest('form').find('.es-table-total').show();
            $(this).closest('form').find('.js-btn-submit').show();
            $(this).closest('table.es-subscription-table').find('tr').removeClass('es-tr-active');
            $(this).closest('tr').addClass('es-tr-active');
            $(this).closest('form').find('.es-table-total .es-table-total-value').html($(this).data('price'));
            $(this).closest('tr').next().removeClass('hide');
        });
    };
    
    $(document).ready(function() {
        $('.es-subscription-table').SubscriptionTable();
    });
}(jQuery));
