<?php global $es_settings; $method = new Es_PayPal_Subscription_Payment_Method();

$paypal_pages = es_subscription_get_pages();
$list[] = __( '-- Select PayPal Success Page --', 'es-plugin' );

if ( ! empty( $paypal_pages ) ) {
    foreach ( $paypal_pages as $page ) {
        $list[ $page->ID ] = $page->post_title;
    }
} ?>

<h3><?php _e( 'PayPal Subscription settings', 'es-plugin' ); ?></h3>

<?php echo Es_Html_Helper::render_settings_field( __( 'PayPal mode', 'es-plugin' ), 'es_settings[payment_mode]', 'list', array(
    'value' => $es_settings->payment_mode,
    'values' => $es_settings::get_setting_values( 'payment_mode' ),
) );

echo Es_Html_Helper::render_settings_field( __( 'PayPal Username', 'es-plugin' ), 'es_settings[payment_username]', 'text', array(
    'value' => $es_settings->payment_username,
) );

echo Es_Html_Helper::render_settings_field( __( 'PayPal password', 'es-plugin' ), 'es_settings[payment_password]', 'text', array(
    'value' => $es_settings->payment_password,
) );

echo Es_Html_Helper::render_settings_field( __( 'Signature', 'es-plugin' ), 'es_settings[payment_signature]', 'text', array(
    'value' => $es_settings->payment_signature,
) );

echo Es_Html_Helper::render_settings_field( __( 'PayPal Response Page', 'es-plugin' ), 'es_settings[payment_response_page]', 'list', array(
    'value' => $es_settings->payment_response_page,
    'values' => $list,
) ); ?>

<div class="es-field">
    <div class="es-field__label"></div>
    <div class="es-field__content">
        <sub><?php _e( 'Use <b>[es_subscription_paypal_response_page]</b> shortcode if you want create a custom PayPal page.', 'es-plugin' ); ?></sub>
    </div>
</div>

<?php echo Es_Html_Helper::render_settings_field( __( 'PayPal Return URL', 'es-plugin' ), '', 'text', array(
    'value' => $method->get_return_url(),
    'readonly' => 'readonly',
    'disabled' => 'disabled',
) );

echo Es_Html_Helper::render_settings_field( __( 'PayPal Cancel URL', 'es-plugin' ), '', 'text', array(
    'value' => $method->get_cancel_url(),
    'readonly' => 'readonly',
    'disabled' => 'disabled',
) );

echo Es_Html_Helper::render_settings_field( __( 'PayPal Notify URL (for IPN)', 'es-plugin' ), '', 'text', array(
    'value' => $method->get_notify_url(),
    'readonly' => 'readonly',
    'disabled' => 'disabled',
) );
