<?php

/**
 * @var $subscription Es_Subscription
 * @var $temp array
 * @var $agent Es_Agent
 */

?>

<ul>
    <?php if ( $subscription ) : ?>
    <li class="colmain">
        <i class="fa fa-credit-card" aria-hidden="true"></i>
        <div class="es-widget-item-title">
            <?php echo $subscription->get_entity()->post_title; ?>
            <p><?php _e( 'Current subscription plan', 'es-plugin' ); ?></p>
        </div>
    </li>
    <?php endif; ?>

    <li class="col2">
        <i class="fa fa-home" aria-hidden="true"></i>
        <div class="es-widget-item-title">
            <?php echo $agent->es_subscription_property_qty; ?>
            <p><?php _e( 'Property qty', 'es-plugin' ); ?></p>
        </div>
    </li>

    <li class="col2">
        <i class="fa fa-bookmark-o" aria-hidden="true"></i>
        <div class="es-widget-item-title">
            <?php echo $agent->es_subscription_featured_qty; ?>
            <p><?php _e( 'Featured qty', 'es-plugin' ); ?></p>
        </div>
    </li>

    <?php if ( ! empty( $temp['amount'] ) ) : ?>
        <li class="col2">
            <i class="fa fa-money" aria-hidden="true"></i>
            <div class="es-widget-item-title">
                <?php echo $temp['amount'] . ' ' . $subscription->currency; ?>
                <p><?php _e( 'Amount', 'es-plugin' ); ?></p>
            </div>
        </li>
    <?php endif; ?>

    <?php if ( ! empty( $temp['initial_amount'] ) ) : ?>
        <li class="col2">
            <i class="fa fa-money" aria-hidden="true"></i>
            <div class="es-widget-item-title">
                <?php echo $temp['initial_amount'] . ' ' . $subscription->currency; ?>
                <p><?php _e( 'Initial Amount', 'es-plugin' ); ?></p>
            </div>
        </li>
    <?php endif; ?>

    <?php if ( ! empty( $temp['period'] ) ) : ?>
        <li class="col2">
            <i class="fa fa-clock-o" aria-hidden="true"></i>
            <div class="es-widget-item-title">
                <?php echo $temp['period']; ?>
                <p><?php _e( 'Subscription period', 'es-plugin' ); ?></p>
            </div>
        </li>
    <?php endif; ?>

    <?php if ( ! empty( $temp['trial_period'] ) ) : ?>
        <li class="col2">
            <i class="fa fa-clock-o" aria-hidden="true"></i>
            <div class="es-widget-item-title">
                <?php echo $temp['trial_period']; ?>
                <p><?php _e( 'Trial period', 'es-plugin' ); ?></p>
            </div>
        </li>
    <?php endif; ?>
</ul>
